# Uses of Interface
org.opensaml.xacml.ctx.ResultType

Packages that use ResultType
Package
Description
org.opensaml.xacml.ctx
XMLObject interfaces for XACML context schema.
org.opensaml.xacml.ctx.impl
XMLObject implementations for XACML context schema.
org.opensaml.xacml.ctx.provider.impl
Implementations of XACML functionality.

## Uses of ResultType in org.opensaml.xacml.ctx

Methods in org.opensaml.xacml.ctx that return types with arguments of type ResultType
Modifier and Type
Method
Description
`List<ResultType>`
ResponseType.`getResults()`
Returns the list of results for the response.

## Uses of ResultType in org.opensaml.xacml.ctx.impl

Classes in org.opensaml.xacml.ctx.impl that implement ResultType
Modifier and Type
Class
Description
`class`
`ResultTypeImpl`
Concrete implementation of `ResultType`.
Fields in org.opensaml.xacml.ctx.impl with type parameters of type ResultType
Modifier and Type
Field
Description
`private final XMLObjectChildrenList<ResultType>`
ResponseTypeImpl.`results`
The results of the response.
Methods in org.opensaml.xacml.ctx.impl that return ResultType
Modifier and Type
Method
Description
`ResultType`
ResultTypeImplBuilder.`buildObject()`
Builds a XACMLObject using the default name and namespace information provided XACML specifications.
`ResultType`
ResultTypeImplBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.
Methods in org.opensaml.xacml.ctx.impl that return types with arguments of type ResultType
Modifier and Type
Method
Description
`List<ResultType>`
ResponseTypeImpl.`getResults()`
Returns the list of results for the response.

## Uses of ResultType in org.opensaml.xacml.ctx.provider.impl

Fields in org.opensaml.xacml.ctx.provider.impl declared as ResultType
Modifier and Type
Field
Description
`private ResultType`
ObligationProcessingContext.`result`
Result of a XACML authorization request.
Methods in org.opensaml.xacml.ctx.provider.impl that return ResultType
Modifier and Type
Method
Description
`ResultType`
ObligationProcessingContext.`getAuthorizationDecisionResult()`
Gets the result of a XACML authorization request.
Constructors in org.opensaml.xacml.ctx.provider.impl with parameters of type ResultType
Modifier
Constructor
Description
``
`ObligationProcessingContext(ResultType authzResult)`
Constructor.